Search documentation of wx

# View Source wxShowEvent (wx v2.4.2)

Functions for wxShowEvent class

An event being sent when the window is shown or hidden. The event is triggered by calls to `wxWindow:show/2`, and any user action showing a previously hidden window or vice versa (if allowed by the current platform and/or window manager). Notice that the event is not triggered when the application is iconized (minimized) or restored under wxMSW.

See: Overview events, `wxWindow:show/2`, `wxWindow:isShown/1`

This class is derived (and can use functions) from: `wxEvent`

wxWidgets docs: wxShowEvent

## Events

Use `wxEvtHandler:connect/3` with `wxShowEventType` to subscribe to events of this type.

# Summary

## Types

wxShow()
wxShowEvent()
wxShowEventType()

## Functions

isShown(This)

Return true if the window has been shown, false if it has been hidden.

setShow(This, Show)

Set whether the windows was shown or hidden.

# Types

Link to this type

# wxShow()

View Source

    -type wxShow() :: #wxShow{type :: wxShowEvent:wxShowEventType(), show :: boolean()}.

Link to this type

# wxShowEvent()

View Source

    -type wxShowEvent() :: wx:wx_object().

Link to this type

# wxShowEventType()

View Source

    -type wxShowEventType() :: show.

# Functions

Link to this function

# isShown(This)

View Source

    -spec isShown(This) -> boolean() when This :: wxShowEvent().

Return true if the window has been shown, false if it has been hidden.

Link to this function

# setShow(This, Show)

View Source

    -spec setShow(This, Show) -> ok when This :: wxShowEvent(), Show :: boolean().

Set whether the windows was shown or hidden.